| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::OsvListReadConfiguration Class Reference

Configuration class for reading OSV state vectors. More...

List of all members.

## Public Member Functions
| OsvListReadConfiguration ()
| Empty constructor.
| OsvListReadConfiguration (long timeMode, long timeRef, long extendType, double timeStart, double timeStop, long orbitStart, long orbitStop, long extendNumOsv, double extendOsvSec)
| Constructor with parameters.
| OsvListReadConfiguration (const OsvListReadConfiguration &config)
| Copy constructor.
## Public Attributes
long | timeMode
| TimeInitModeEnum.
long | timeRef
| TimeRefDataHandlingEnum.
long | extendType
| ExtendTypeEnum.
double | timeStart
double | timeStop
| Initialization time interval (only applicable if time_mode == XDCFI_SEL_TIME).
long | orbitStart
long | orbitStop
| Initialization ORBIT interval (only applicable if time_mode == XDCFI_SEL_ORBIT).
long | extendNumOsv
| Number of OSVs to be added to initialization interval (only applicable if extend_type == XDCFI_EXTEND_NUM_OSV).
double | extendOsvSec
| Size of interval whose OSVs must be added before/after input interval (only applicable if extend_type == XDCFI_EXTEND_TIME).

## Detailed Description

Configuration class for reading OSV state vectors.

## Constructor & Destructor Documentation

EECFI::OsvListReadConfiguration::OsvListReadConfiguration | ( |  | ) |

Empty constructor.

References extendNumOsv, extendOsvSec, extendType, orbitStart, orbitStop, timeMode, timeRef, timeStart, and timeStop.

EECFI::OsvListReadConfiguration::OsvListReadConfiguration | ( | long | timeMode,
|  | long | timeRef,
|  | long | extendType,
|  | double | timeStart,
|  | double | timeStop,
|  | long | orbitStart,
|  | long | orbitStop,
|  | long | extendNumOsv,
|  | double | extendOsvSec |
| ) |  |  |

Constructor with parameters.

EECFI::OsvListReadConfiguration::OsvListReadConfiguration | ( | const OsvListReadConfiguration & | config | ) |

Copy constructor.

References extendNumOsv, extendOsvSec, extendType, orbitStart, orbitStop, timeMode, timeRef, timeStart, and timeStop.

## Member Data Documentation

long EECFI::OsvListReadConfiguration::extendNumOsv

Number of OSVs to be added to initialization interval (only applicable if extend_type == XDCFI_EXTEND_NUM_OSV).

Referenced by OsvListReadConfiguration().

double EECFI::OsvListReadConfiguration::extendOsvSec

Size of interval whose OSVs must be added before/after input interval (only applicable if extend_type == XDCFI_EXTEND_TIME).

Referenced by OsvListReadConfiguration().

long EECFI::OsvListReadConfiguration::extendType

ExtendTypeEnum.

Referenced by OsvListReadConfiguration().

long EECFI::OsvListReadConfiguration::orbitStart

Referenced by OsvListReadConfiguration().

long EECFI::OsvListReadConfiguration::orbitStop

Initialization ORBIT interval (only applicable if time_mode == XDCFI_SEL_ORBIT).

Referenced by OsvListReadConfiguration().

long EECFI::OsvListReadConfiguration::timeMode

TimeInitModeEnum.

Referenced by OsvListReadConfiguration(), EECFI::SP3File::read(), and EECFI::OemFile::read().

long EECFI::OsvListReadConfiguration::timeRef

TimeRefDataHandlingEnum.

Referenced by OsvListReadConfiguration().

double EECFI::OsvListReadConfiguration::timeStart

Referenced by OsvListReadConfiguration().

double EECFI::OsvListReadConfiguration::timeStop

Initialization time interval (only applicable if time_mode == XDCFI_SEL_TIME).

Referenced by OsvListReadConfiguration().